Subject: Re: [PATCH diagnostic] Re: HPET regression in 2.6.26 versus 2.6.25 -- RCU problem

From: "Paul E. McKenney" <[email-masked]>
Date: Mon, 11 Aug 2008 09:29:57 -0700

On Mon, Aug 11, 2008 at 09:22:01AM -0700, David Witbrodt wrote:
> 
> > And attached is the kernel module I used to test the patch, for whatever
> > that might be worth.
> 
> Thank you for that, too.  I have some questions and a comment:
> 
> 1.  This module can only be loaded from a working system, right?  You
> mean that _you_ tested the kernel code on _your_ system to see if it
> was working correctly, and did not mean that I should use this with
> the problematic kernels on my system?  I could easily run this with
> something like 'modprobe stall' on my working machine, or on the
> problem machine if I boot with the "hpet=disabled" parameter, but
> doing so would not help us find the problem, right?

Yep.  This module was intended strictly to allow me to debug the
diagnostic code.

> 2.  Coincidentally, I had started reading Understanding the Linux Kernel
> (first edition, 2000) about a week before I got socked with the kernel
> freeze issue.  I was reading it at work -- I work as a tutor, and there
> are sometimes slow times without students to help -- but haven't had a
> chance to do so in the best 10 days while I've been struggling with my
> own kernel problem.  It is also quite out-of-date -- published in 2000,
> and discussing the 2.2 kernel line.  I know that there have been a
> couple of new editions since then, but I just happened to have this first
> edition on my shelf... so I took it into work for a little light reading.
> 
> Anyway, I have a lot on my personal TODO list for the fall, but maybe
> early next year I will have a chance to play with the kernel for fun.
> When I do so, I will have your new, experimental module to look at...
> among tons of other things.

Well, the stall module derives pretty directly from some example code
in Corbet, Rubini, and Kroah-Hartman's "Linux Device Drivers" book.  ;-)

							Thanx, Paul